WhatsApp Meta agent
Get Meta agent evaluation run
Progress of an evaluation run and, once it completes, its scores and summary.
GET
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
phone-numbers
/
{phone_number_id}
/
meta-agent
/
eval
/
runs
/
{job_id}
Get Meta agent evaluation run
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/eval/runs/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/eval/runs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/eval/runs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "QUEUED",
"job_id": "<string>",
"progress": {
"completed": 123,
"total": 123,
"current_stage": "<string>"
},
"result": {
"id": "<string>",
"summary_id": "<string>",
"avg_conversation_score": 123,
"avg_turn_score": 123,
"summary": "<string>",
"highlights": "<string>",
"top_failure_categories": "<string>",
"eval_ids_by_score": "<string>",
"creation_time": "<string>",
"update_time": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"failed_case_ids": [
"<string>"
]
}
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
The ID of the WhatsApp phone number the Meta agent runs on
The ID of the evaluation run
Was this page helpful?
⌘I
Get Meta agent evaluation run
